# Form implementation generated from reading ui file 'src/eric7/Preferences/ShortcutDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ShortcutDialog(object):
    def setupUi(self, ShortcutDialog):
        ShortcutDialog.setObjectName("ShortcutDialog")
        ShortcutDialog.resize(539, 134)
        self.vboxlayout = QtWidgets.QVBoxLayout(ShortcutDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.shortcutsGroup = QtWidgets.QGroupBox(parent=ShortcutDialog)
        self.shortcutsGroup.setTitle("")
        self.shortcutsGroup.setObjectName("shortcutsGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.shortcutsGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.primaryButton = QtWidgets.QRadioButton(parent=self.shortcutsGroup)
        self.primaryButton.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.primaryButton.setChecked(True)
        self.primaryButton.setObjectName("primaryButton")
        self.gridLayout.addWidget(self.primaryButton, 0, 0, 1, 1)
        self.primaryClearButton = QtWidgets.QPushButton(parent=self.shortcutsGroup)
        self.primaryClearButton.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.primaryClearButton.setObjectName("primaryClearButton")
        self.gridLayout.addWidget(self.primaryClearButton, 0, 1, 1, 1)
        self.keyEdit = QtWidgets.QLineEdit(parent=self.shortcutsGroup)
        self.keyEdit.setReadOnly(True)
        self.keyEdit.setObjectName("keyEdit")
        self.gridLayout.addWidget(self.keyEdit, 0, 2, 1, 1)
        self.alternateButton = QtWidgets.QRadioButton(parent=self.shortcutsGroup)
        self.alternateButton.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.alternateButton.setObjectName("alternateButton")
        self.gridLayout.addWidget(self.alternateButton, 1, 0, 1, 1)
        self.alternateClearButton = QtWidgets.QPushButton(parent=self.shortcutsGroup)
        self.alternateClearButton.setEnabled(False)
        self.alternateClearButton.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.alternateClearButton.setObjectName("alternateClearButton")
        self.gridLayout.addWidget(self.alternateClearButton, 1, 1, 1, 1)
        self.alternateKeyEdit = QtWidgets.QLineEdit(parent=self.shortcutsGroup)
        self.alternateKeyEdit.setReadOnly(True)
        self.alternateKeyEdit.setObjectName("alternateKeyEdit")
        self.gridLayout.addWidget(self.alternateKeyEdit, 1, 2, 1, 1)
        self.vboxlayout.addWidget(self.shortcutsGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ShortcutDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(ShortcutDialog)
        self.primaryButton.toggled['bool'].connect(self.primaryClearButton.setEnabled) # type: ignore
        self.alternateButton.toggled['bool'].connect(self.alternateClearButton.setEnabled) # type: ignore
        self.buttonBox.rejected.connect(ShortcutDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ShortcutDialog)
        ShortcutDialog.setTabOrder(self.keyEdit, self.alternateKeyEdit)
        ShortcutDialog.setTabOrder(self.alternateKeyEdit, self.buttonBox)

    def retranslateUi(self, ShortcutDialog):
        _translate = QtCore.QCoreApplication.translate
        ShortcutDialog.setWindowTitle(_translate("ShortcutDialog", "Edit Shortcut"))
        ShortcutDialog.setWhatsThis(_translate("ShortcutDialog", "Press your shortcut keys and select OK"))
        self.primaryButton.setToolTip(_translate("ShortcutDialog", "Select to change the primary keyboard shortcut"))
        self.primaryButton.setText(_translate("ShortcutDialog", "Primary Shortcut:"))
        self.primaryClearButton.setToolTip(_translate("ShortcutDialog", "Press to clear the key sequence buffer."))
        self.primaryClearButton.setText(_translate("ShortcutDialog", "Clear"))
        self.alternateButton.setToolTip(_translate("ShortcutDialog", "Select to change the alternative keyboard shortcut"))
        self.alternateButton.setText(_translate("ShortcutDialog", "Alternative Shortcut:"))
        self.alternateClearButton.setToolTip(_translate("ShortcutDialog", "Press to clear the key sequence buffer."))
        self.alternateClearButton.setText(_translate("ShortcutDialog", "Clear"))
